当前位置: 安全纵横 > 安全公告

Linux Kernel seccomp系统调用绕过安全限制漏洞

受影响系统:
Linux kernel 2.6.x
描述:
Linux Kernel是开放源码操作系统Linux所使用的内核。
Linux Kernel内嵌有被称为seccomp的系统调用过滤技术,允许进程将其本身严格的限制到受限的系统调用集,如read()、write()、exit()、sigreturn()等。PR_SET_SECCOMP功能的实现中存在错误,允许本地用户通过将32位进程切换到64位模式并在64位进程中使用syscall指令或interrupt 80h绕过安全执行某些受限制的系统调用。

厂商补丁:
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
http://www.kernel.org/